{ pkgs, ... }:
{
  wayland.windowManager = {
    hyprland = {
      enable = true;
      systemd ={
        enable = true;
        enableXdgAutostart = true;
        variables = [ "--all" ];
      };
      package = pkgs.hyprland;
      xwayland.enable = true;
    };
  };
}